> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a wallet



## OpenAPI

````yaml /api-reference/openapi.json get /v1/wallets/{id}
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/wallets/{id}:
    get:
      tags:
        - Wallets
      summary: Get a wallet
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Wallet detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Wallet'
                required:
                  - data
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Wallet:
      type: object
      properties:
        id:
          type: string
          format: uuid
        owner_type:
          type: string
          enum:
            - account
            - agent
        owner_id:
          type: string
          format: uuid
        currency:
          type: string
        balance_available:
          type: string
        balance_pending:
          type: string
        network:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
          description: On-chain address (stablecoin wallets only)
        status:
          type: string
          enum:
            - active
            - frozen
            - deactivated
        name:
          type:
            - string
            - 'null'
        metadata:
          type: object
          additionalProperties: {}
          default: {}
        frozen_at:
          type:
            - string
            - 'null'
          format: date-time
        frozen_reason:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - owner_type
        - owner_id
        - currency
        - balance_available
        - balance_pending
        - status
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````